#!/bin/bash

#PBS -l walltime=0:1:0
#PBS -l select=1:ncpus=4:mem=320M
#PBS -j oe

cd $PBS_O_WORKDIR

uname -n
if [ "$(cat /proc/cpuinfo|grep -c avx2)" != 0 ] ; then
    export g16root="/opt/shared/gaussian/avx2"
elif [ "$(cat /proc/cpuinfo|grep -c sse4_2)" != 0 ] ; then
    export g16root="/opt/shared/gaussian/sse4_2"
else
    echo 'ERROR: unsupported CPU'
    exit 100
fi
echo "g16root = $g16root"

. $g16root/g16/bsd/g16.profile

JOB=$(echo $PBS_JOBID|awk -F\. {'print $1'})
echo "JOB = $JOB"

export GAUSS_SCRDIR=$(ws_allocate $JOB 30)
if [ "x$GAUSS_SCRDIR" == "x" ] || [ ! -d $GAUSS_SCRDIR ] ; then
    echo "ERROR: no workspace $GAUSS_SCRDIR"
    exit 101
fi
echo "GAUSS_SCRDIR = $GAUSS_SCRDIR"

$g16root/g16/g16 < $PBS_O_WORKDIR/test.gjf >> $PBS_O_WORKDIR/test.$JOB.out

ws_release $JOB
